import { PipeTransform } from '@angular/core';
import { FilteringLogic, IFilteringExpression } from '../data-operations/filtering-expression.interface';
import { ISortingExpression } from '../data-operations/sorting-expression.interface';
import { IgxComboComponent } from './combo.component';
import { FilteringStrategy } from '../data-operations/filtering-strategy';
export declare class IgxComboFilteringPipe implements PipeTransform {
    combo: IgxComboComponent;
    constructor(combo: IgxComboComponent);
    transform(collection: any[], expressions: IFilteringExpression[], logic: FilteringLogic): any[];
}
export declare class SimpleFilteringStrategy extends FilteringStrategy {
    findMatchByExpression(rec: object, expr: IFilteringExpression): boolean;
}
export declare class IgxComboSortingPipe implements PipeTransform {
    combo: IgxComboComponent;
    constructor(combo: IgxComboComponent);
    transform(collection: any[], expression: ISortingExpression | ISortingExpression[]): any[];
}
export declare class IgxComboGroupingPipe implements PipeTransform {
    combo: IgxComboComponent;
    constructor(combo: IgxComboComponent);
    transform(collection: any[], groupKey: any): any[];
}
export declare class IgxComboFilterConditionPipe implements PipeTransform {
    transform(value: string): string;
}
